cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "neil" <nba...@aisoftware.com.au>
Subject build error: cocoon-2.0.2, jdk-1.4, Win2000
Date Wed, 27 Mar 2002 03:08:48 GMT
In a dos box:
  set PATH=C:\WINNT\system32;C:\WINNT
  set CLASSPATH=
  build clean
  build

First error:

C:\Neil\cocoon-2.0.2\build\cocoon\src\org\apache\cocoon\components\language\
mark
up\xsp\EsqlConnection.java:66: class
org.apache.cocoon.components.language.marku
p.xsp.EsqlConnection must be declared abstract. It does not define int
getHoldability() from interface java.sql.Connection.
public class EsqlConnection implements Connection {

followed by 11 more.

An earlier post:
http://marc.theaimsgroup.com/?l=xml-cocoon-users&m=101622718100348&w=2
suggested to ensure that no older jdk's are in the PATH or CLASSPATH,
but I think I've taken care of that.

Some <echo>s I've added to build.xml seem to show that jdbc3.present is
properly set:
filter-jdbc:
nofilter-jdbc:
     [echo] in nofilter-jdbc



---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message